using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace AddressChooserTaskSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzierung des AddressChooserTask
        private AddressChooserTask myAddressChooserTask = new AddressChooserTask();

        // Konstructor
        public MainPage()
        {
            InitializeComponent();

            // Completed-Ereignis hinzufuegen
            myAddressChooserTask.Completed += new System.EventHandler<AddressResult>(myAddressChooserTask_Completed);
        }
        
        // Methode des Completed-Ereignismethode
        void myAddressChooserTask_Completed(object sender, AddressResult e)
        {
            // wurde eine Adresse ausgewaehlt?            
            if (e.TaskResult == TaskResult.OK)
            {
                // Adressdaten des gewaehlten Kontaktes anzeigen
                MessageBox.Show("Sie haben die Adresse von "+ e.DisplayName + " ausgewählt:\r\n" + e.Address);
            }
        }

        // Click-Methode der AddressChooserTask-Schaltflaeche
        private void btn_AddressChooserTask_Click(object sender, RoutedEventArgs e)
        {
            // Kontaktauswahldialog anzeigen
            myAddressChooserTask.Show();
        }
    }
}